/****************************/
/*  sem_debug.h by IoDream  */
/*    sem error logguer     */
/*   Not released yet       */
/*      PUBLIC DOMAIN       */
/****************************/

/* IoDream (IoDream@ifrance.com) */

#ifndef sem_debug_h
#define sem_debug_h

/* C++ compilers friendly */
#ifdef __cplusplus
extern "C" {
#endif /*__cplusplus*/

/* Define to see debug messages, comment it out not to see them */
/*#define DEBUGGING 1*/

/* Definition of DEBUG_() macro. Enclosed instructions are only executed if DEBUGGING is defined */
#ifdef DEBUGGING
	#define DEBUG_(x) x
#else
	#define DEBUG_(x)
#endif

/* C++ compilers friendly */
#ifdef __cplusplus
}
#endif /*__cplusplus*/

#endif /*sem_debug_h*/
