/*****************************/
/*  sem_server.h by IoDream  */
/* sem_server main interface */
/*   Not released yet        */
/*      PUBLIC DOMAIN        */
/*****************************/

/* IoDream (IoDream@ifrance.com) */

#ifndef sem_server_h
#define sem_server_h

/* C++ compilers friendly */
#ifdef __cplusplus
extern "C" {
#endif /*__cplusplus*/

#include "sem_config.h"
#include "sem_gen.h"
#include "sem_debug.h"

/* Main semaphore handler function. */
extern void sem_gest(void);
/* Main semaphore socket server function. */
extern void sem_sock_server(void);

extern int pipePS2GE[2], pipeGE2PS[2], mutex[2];

/* C++ compilers friendly */
#ifdef __cplusplus
}
#endif /*__cplusplus*/

#endif /*sem_server_h*/
